Bug 108273 - Remove use of plugInStartLabelImage
Summary: Remove use of plugInStartLabelImage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on: 108284
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 17:56 PST by Dean Jackson
Modified: 2013-02-12 10:35 PST (History)
12 users (show)

See Also:


Attachments
Patch (10.93 KB, patch)
2013-01-29 18:10 PST, Dean Jackson
simon.fraser: review+
webkit-ews: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2013-01-29 17:56:39 PST
When snapshotted plugins start using a shadow root, they won't need this code.
Comment 1 Radar WebKit Bug Importer 2013-01-29 17:56:49 PST
<rdar://problem/13112117>
Comment 2 Dean Jackson 2013-01-29 18:10:05 PST
Created attachment 185365 [details]
Patch
Comment 3 Jon Lee 2013-01-29 18:16:44 PST
Unofficial r=me.
Comment 4 Early Warning System Bot 2013-01-29 18:17:35 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/16200403
Comment 5 Simon Fraser (smfr) 2013-01-29 18:19:34 PST
Comment on attachment 185365 [details]
Patch

r=me but please fix Qt.
Comment 6 Dean Jackson 2013-01-29 18:24:38 PST
I think all EWS will fail because this is removing code that is still being called in the tree (subsequent patch). I'll stage this commit later, and check EWS first.
Comment 7 Build Bot 2013-01-29 18:39:35 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://queues.webkit.org/results/16115490
Comment 8 WebKit Review Bot 2013-01-29 19:05:40 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16199410
Comment 9 Peter Beverloo (cr-android ews) 2013-01-29 19:20:26 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass cr-android-ews (chromium-android):
Output: http://queues.webkit.org/results/16217258
Comment 10 Build Bot 2013-01-29 19:26:26 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/16022528
Comment 11 Early Warning System Bot 2013-01-29 19:32:16 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/16201420
Comment 12 Build Bot 2013-01-29 20:40:35 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16115528
Comment 13 EFL EWS Bot 2013-01-29 22:08:40 PST
Comment on attachment 185365 [details]
Patch

Attachment 185365 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/16218316
Comment 14 Dean Jackson 2013-02-08 20:24:19 PST
Committed r142347: <http://trac.webkit.org/changeset/142347>
Comment 15 Kent Tamura 2013-02-10 08:38:02 PST
(In reply to comment #14)
> Committed r142347: <http://trac.webkit.org/changeset/142347>

I'm rolling it out because I rolled out the depending http://trac.webkit.org/changeset/142343.
Please see Bug 108284.
Comment 16 Kent Tamura 2013-02-10 08:41:05 PST
Reverted r142347 for reason:

Because a depending change r142343 was rolled out.

Committed r142405: <http://trac.webkit.org/changeset/142405>
Comment 17 Dean Jackson 2013-02-12 10:35:04 PST
Landed again in r142507